From dfc2edc63bce6842dbc3f786c2c8436e4bbbebb8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Aur=C3=A9lien=20Aptel?= <aurelien.aptel@gmail.com>
Date: Thu, 6 Jun 2013 20:55:33 +0200
Subject: [PATCH] lisp/ox-html.el: Minimal encoding for code and verbatim text

* lisp/ox-html.el: Remove fancy string replacements for code and
verbatim text when exporting to html.

Exporting =--option= or ~--option~ to html used to replace -- with a
ndash.

TINYCHANGE
---
 lisp/ox-html.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/ox-html.el b/lisp/ox-html.el
index ef7d15a..17af72e 100644
--- a/lisp/ox-html.el
+++ b/lisp/ox-html.el
@@ -2011,7 +2011,7 @@ channel."
 CONTENTS is nil.  INFO is a plist holding contextual
 information."
   (format (or (cdr (assq 'code org-html-text-markup-alist)) "%s")
-	  (org-html-plain-text (org-element-property :value code) info)))
+	  (org-html-encode-plain-text (org-element-property :value code))))
 
 ;;;; Drawer
 
@@ -3117,7 +3117,7 @@ holding contextual information."
 CONTENTS is nil.  INFO is a plist holding contextual
 information."
   (format (or (cdr (assq 'verbatim org-html-text-markup-alist)) "%s")
-	  (org-html-plain-text (org-element-property :value verbatim) info)))
+	  (org-html-encode-plain-text (org-element-property :value verbatim))))
 
 ;;;; Verse Block
 
-- 
1.8.3

